For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
      • GETList Asset Folders
      • GETGet Asset Folder
      • POSTCreate Asset Folder
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
AssetsAsset Folders

List Asset Folders

GET
https://api.webflow.com/v2/sites/:site_id/asset_folders
GET
/v2/sites/:site_id/asset_folders
$curl https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/asset_folders \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "assetFolders": [
3 {
4 "id": "580e63e98c9a982ac9b8b742",
5 "displayName": "Marketing Assets",
6 "assets": [
7 "580e63e98c9a982ac9b8b743",
8 "580e63e98c9a982ac9b8b744",
9 "580e63e98c9a982ac9b8b745"
10 ],
11 "siteId": "580e63e98c9a982ac9b8b741",
12 "createdOn": "2023-11-01T10:15:30.000Z",
13 "lastUpdated": "2024-05-20T14:22:10.000Z"
14 }
15 ],
16 "pagination": {
17 "limit": 10,
18 "offset": 0,
19 "total": 1
20 }
21}

List Asset Folders within a given site

Required scope | assets:read

Was this page helpful?
Previous

Get Asset Folder

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Response

Request was successful
assetFolderslist of objects
A list of Asset folders
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error